%define upstream_name    HTML-FormHandler-Model-DBIC
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate form classes from DBIC schema
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBIx::Class)
BuildRequires: perl(DBIx::Class::ResultSet::RecursiveUpdate) >= 0.250.0
BuildRequires: perl(DateTime::Format::MySQL)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTML::FormHandler) >= 0.400.160
BuildRequires: perl(Moose) >= 2.0.700
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildArch:  noarch

%description
Catalyst based application.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README SIGNATURE TODO
%{_bindir}/form_generator.pl
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/form_generator.pl

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 368011
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 jquelin <jquelin> 0.230.0-1.mga3
+ Revision: 307572
- update to 0.23

* Fri Jul 06 2012 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 268434
- update to 0.21

* Fri Oct 14 2011 jquelin <jquelin> 0.160.0-1.mga2
+ Revision: 154781
- update to 0.16

* Fri Jun 17 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 109151
- update to 0.15

* Wed Jan 26 2011 jquelin <jquelin> 0.140.0-2.mga1
+ Revision: 40694
- mageia rebuild
- imported package perl-HTML-FormHandler-Model-DBIC

